## chicken 4.6.0

=== Makefile ===
# Makefile - toplevel makefile
#
# Copyright (c) 2008-2010, The Chicken Team
# Copyright (c) 2007, Felix L. Winkelmann
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following
# conditions are met:
#
#   Redistributions of source code must retain the above copyright notice, this list of conditions and the following
#     disclaimer. 
#   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following
#     disclaimer in the documentation and/or other materials provided with the distribution. 
#   Neither the name of the author nor the names of its contributors may be used to endorse or promote
#     products derived from this software without specific prior written permission. 
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
# OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.


ifeq ($(CONFIG)$(PLATFORM),)
CONFIG=config.make
endif

ifneq ($(CONFIG),)
include $(CONFIG)
endif

STANDARD_TARGETS \
	= all clean distclean spotless install uninstall confclean check \
	  fullcheck dist libs install-target install-dev bench boot-chicken

SRCDIR = .

.PHONY: $(STANDARD_TARGETS)

ifndef PLATFORM
$(STANDARD_TARGETS):
	@echo "no PLATFORM given."
	@echo ""
	@echo "Please select your target platform by running one of the following commands:"
	@echo ""
	@echo "  $(MAKE) PLATFORM=linux"
	@echo "  $(MAKE) PLATFORM=bsd"
	@echo "  $(MAKE) PLATFORM=macosx"
	@echo "  $(MAKE) PLATFORM=mingw-msys"
	@echo "  $(MAKE) PLATFORM=mingw"
	@echo "  $(MAKE) PLATFORM=cygwin"
	@echo "  $(MAKE) PLATFORM=solaris"
	@echo "  $(MAKE) PLATFORM=cross-linux-mingw"
	@echo "  $(MAKE) PLATFORM=haiku"
	@echo ""
	@echo "For more information, consult the README file."
	@exit 1
else
all:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) all
clean:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) clean
distclean:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) distclean
spotless:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) spotless
install:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) install
install-target:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) install-target
install-dev:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) install-dev
uninstall:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) uninstall
confclean:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) confclean
check:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) check
bench:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) bench
fullcheck:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) fullcheck
dist:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) distfiles
	csi -s scripts/makedist.scm
libs:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) CONFIG=$(CONFIG) libs
boot-chicken:
	$(MAKE) -f $(SRCDIR)/Makefile.$(PLATFORM) boot-chicken

endif

=== debian/changelog ===
chicken (4.6.0-1) unstable; urgency=low

  * New upstream version; closes: #609257.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 16 Jan 2011 13:48:08 +0100

=== debian/rules ===
#!/usr/bin/make -f
BUILD_ARCH = $(shell dpkg --print-installation-architecture)

CFLAGS= -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
     CFLAGS += -O0
        else
     CFLAGS += -O2
endif

MAKE:=$(MAKE) PLATFORM=linux
PREFIX=/usr
BINARYVERSION=5

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS)" VARDIR=/var/lib/
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	$(MAKE) distclean
	rm -f c_defaults.h chicken_defaults.h lib*.so chicken.info-*		
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# The directories here have to be prefixed by $(CURDIR)/debian/tmp
# because that is the location where the binary package files are
# placed by dpkg-buildpackage. If absolute files are specified,
# i.e. /var/lib/chicken, then those files will be installed on the
# build system, but will not end up in the package.
	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" VARDIR="$(CURDIR)/debian/tmp/var/lib" install
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/5/*.so

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
# The asterisk in chicken.info* is necessary, because Debian makeinfo
# is very different from the standard makeinfo, and it is incredibly
# difficult to convince it to produce standalone Texinfo files. 
#	dh_installinfo chicken.info*
	dh_installchangelogs ChangeLog.*
	dh_install --sourcedir=debian/tmp
	dh_link
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif	
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -l debian/libchicken5/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## chicken 4.7.0

=== debian/changelog ===
chicken (4.7.0-1) unstable; urgency=low

  * New upstream version; closes: #639215.
  * debian/control: updated homepage URL; closes: #617963.
  * Now shipping libchicken6 instead of libchicken5.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 05 Sep 2011 15:17:30 +0200

=== debian/control ===
Source: chicken
Homepage: http://www.call-cc.org
Section: interpreters
Priority: optional
Maintainer: Davide Puricelli (evo) <evo@debian.org>
Build-Depends: debhelper (>> 5.0.0), libpcre3-dev, texinfo, chrpath
Standards-Version: 3.8.4.0

Package: chicken-bin
Section: lisp
Architecture: any
Conflicts: chicken, chicken-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libchicken-dev (= ${binary:Version})
Replaces: chicken, chicken-dev
Description: Practical and portable Scheme system - compiler
 CHICKEN is a Scheme compiler which compiles a subset of R5RS into C.
 It uses the ideas presented in Baker's paper "Cheney on the MTA", and
 has a small core and is easily extendable.
 .
 This package contains the compiler.
 

Package: libchicken6
Architecture: any
Section: libs
Priority: optional
Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5
Description: Practical and portable Scheme system - runtime
 CHICKEN is a Scheme compiler which compiles a subset of R5RS into C. 
 It uses the ideas presented in Baker's paper "Cheney on the MTA", and 
 has a small core and is easily extendable.
 .
 This package contains the shared library needed to run programs using
 chicken.
 

Package: libchicken-dev
Architecture: any
Section: libdevel
Priority: optional
Conflicts: chicken, chicken-dev
Depends: libchicken6 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
Replaces: chicken, chicken-dev
Description: Practical and portable Scheme system - development
 CHICKEN is a Scheme compiler which compiles a subset of R5RS into C.
 It uses the ideas presented in Baker's paper "Cheney on the MTA", and
 has a small core and is easily extendable.
 .
 This package contains the header file and static library for developing
 with chicken.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
-BINARYVERSION=5
+BINARYVERSION=6
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS)" VARDIR=/var/lib/
@@ -39,7 +41,7 @@
 # build system, but will not end up in the package.
 	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" VARDIR="$(CURDIR)/debian/tmp/var/lib" install
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
-	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/5/*.so
+	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/6/*.so
 
 binary-common:
 	dh_testdir
@@ -60,7 +62,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_installdeb
-	dh_shlibdeps -l debian/libchicken5/usr/lib
+	dh_shlibdeps -l debian/libchicken6/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## chicken 4.8.0

=== debian/changelog ===
chicken (4.8.0-1) unstable; urgency=low

  * New upstream version; closes: 689382.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 29 Nov 2012 01:27:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,16 @@
 #!/usr/bin/make -f
 BUILD_ARCH = $(shell dpkg --print-installation-architecture)
 
-CFLAGS= -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-     CFLAGS += -O0
-        else
-     CFLAGS += -O2
-endif
+#CFLAGS= -g
+#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+#     CFLAGS += -O0
+#        else
+#     CFLAGS += -O2
+#endif
+
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
@@ -17,7 +21,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS)" VARDIR=/var/lib/
+	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/
 	touch build-stamp
 
 clean:
@@ -39,7 +43,7 @@
 # placed by dpkg-buildpackage. If absolute files are specified,
 # i.e. /var/lib/chicken, then those files will be installed on the
 # build system, but will not end up in the package.
-	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" VARDIR="$(CURDIR)/debian/tmp/var/lib" install
+	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS),-R"."' LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS),-R"."' LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS),-soname,libchicken.so.6' VARDIR="$(CURDIR)/debian/tmp/var/lib" install
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
 	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/6/*.so
 
@@ -52,7 +56,7 @@
 # is very different from the standard makeinfo, and it is incredibly
 # difficult to convince it to produce standalone Texinfo files. 
 #	dh_installinfo chicken.info*
-	dh_installchangelogs ChangeLog.*
+	dh_installchangelogs
 	dh_install --sourcedir=debian/tmp
 	dh_link
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""

## chicken 4.8.0.3

=== debian/changelog ===
chicken (4.8.0.3-3) unstable; urgency=high

  * Fixed LDFLAGS on ia64; closes: #704840.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 17 Jul 2013 15:24:16 +0200

chicken (4.8.0.3-2) unstable; urgency=high

  * Added fix-regenerated-cfiles.patch.
    Modifying .scm files was not enough, I had to include new .c files, too.
    In this way we have a *huge* diff file, but we avoided to Build-Depends
    on chicken-bin itself (I didn't like that approach).
    Hopefully this is just temporary, as soon as those changes will be
    included upstream we'll revert to a small diff file; closes: #717067.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 17 Jul 2013 10:49:42 +0200

chicken (4.8.0.3-1) unstable; urgency=high

  * New upstream version, including upstream fixes for:
    - CVE-2012-6122 Use POSIX() poll on systems where available.
    - CVE-2012-6123 Added checks for embedded '\0' characters.
    - CVE-2012-6124 On 64-bit machines the "random" procedure no longer
      truncates result values.
    - CVE-2012-6125 Improved hash table collision resistance.  
  * Added fix-untrusted-code.patch to prevent execution of untrusted code,
    see CVE-2013-1874, patch provided by upstream.
  * Added fix-command-injection.patch to fix a command injection
    vulnerability, see CVE-2013-2024, patch provided by upstream.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 15 Jul 2013 11:23:44 +0200

## chicken 4.8.0.5

=== Makefile ===
# See GNUmakefile for the actual makefile used by gmake

all:
	@echo "Sorry, Chicken can only be built with GNU Make."
	@echo ""
	@echo "The '${MAKE}' command you just used is probably your system's"
	@echo "default Make program, which apparently is not GNU Make."
	@echo ""
	@echo "Try 'gmake' or 'gnumake' instead. If that doesn't work you'll"
	@echo "probably need to install a package or build it yourself."

=== debian/changelog ===
chicken (4.8.0.5-1) unstable; urgency=high

  * New upstream version (fixing CVE-2013-4385); closes: #724740.
  * Removing Build-Depends on libpcre3-dev; closes: #729144.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 01 Feb 2014 19:38:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Davide Puricelli (evo) <evo@debian.org>
-Build-Depends: debhelper (>> 5.0.0), libpcre3-dev, texinfo, chrpath
+Build-Depends: debhelper (>> 5.0.0), texinfo, chrpath
 Standards-Version: 3.8.4.0
 
 Package: chicken-bin

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+ifeq ($(BUILD_ARCH),ia64)
+ LDFLAGS:=-Wl,-z,relro
+endif
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
@@ -30,7 +34,7 @@
 	rm -f build-stamp
 	$(MAKE) clean
 	$(MAKE) distclean
-	rm -f c_defaults.h chicken_defaults.h lib*.so chicken.info-*		
+	rm -f c_defaults.h chicken_defaults.h lib*.so chicken.info-*
 	dh_clean
 
 install: build

## chicken 4.9.0

=== debian/changelog ===
chicken (4.9.0-1) unstable; urgency=high

  * New upstream version, fixing CVE-2014-3776; closes: #748904.
  * Removed fix-untrusted-code.patch and fix-command-injection.patch,
    now shipped upstream.
  * Now shipping libchicken7 instead of libchicken6.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 07 Jun 2014 12:20:17 +0200

## chicken 4.9.0.1

=== debian/changelog ===
chicken (4.9.0.1-1) unstable; urgency=high

  * New upstream version;
    fixed a wrong C_MINOR_VERSION setting; closes: #768308.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 23 Nov 2014 19:24:20 +0100

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,13 @@
  This package contains the compiler.
  
 
-Package: libchicken6
+Package: libchicken7
 Architecture: any
 Section: libs
 Priority: optional
-Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5
+Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5
+Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6
 Description: Practical and portable Scheme system - runtime
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C. 
  It uses the ideas presented in Baker's paper "Cheney on the MTA", and 
@@ -41,7 +41,7 @@
 Section: libdevel
 Priority: optional
 Conflicts: chicken, chicken-dev
-Depends: libchicken6 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
+Depends: libchicken7 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
 Replaces: chicken, chicken-dev
 Description: Practical and portable Scheme system - development
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
-BINARYVERSION=6
+BINARYVERSION=7
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -47,9 +47,9 @@
 # placed by dpkg-buildpackage. If absolute files are specified,
 # i.e. /var/lib/chicken, then those files will be installed on the
 # build system, but will not end up in the package.
-	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS),-R"."' LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS),-R"."' LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS),-soname,libchicken.so.6' VARDIR="$(CURDIR)/debian/tmp/var/lib" install
+	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS),-R"."' LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS),-R"."' LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS),-soname,libchicken.so.7' VARDIR="$(CURDIR)/debian/tmp/var/lib" install
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
-	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/6/*.so
+	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/7/*.so
 
 binary-common:
 	dh_testdir
@@ -70,7 +70,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_installdeb
-	dh_shlibdeps -l debian/libchicken6/usr/lib
+	dh_shlibdeps -l debian/libchicken7/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## chicken 4.10.0

=== debian/changelog ===
chicken (4.10.0-1) unstable; urgency=high

  * New upstream version, fixing CVE-2014-9651 and CVE-2015-4556.
    closes: #775346, #788833.
  * ACK to Tobias Frost's NMU, thanks! closes: #825724.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 12 Jun 2016 17:33:30 +0200

## chicken 4.11.0

=== debian/changelog ===
chicken (4.11.0-1) unstable; urgency=medium

  * New upstream version; closes: #825720, #844371.
  * Now shipping libchicken8 instead of libchicken7.
  * Removed obsolete dpkg option from debian/rules; closes: #834103.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 14 Dec 2016 23:41:18 +0100

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,13 @@
  This package contains the compiler.
  
 
-Package: libchicken7
+Package: libchicken8
 Architecture: any
 Section: libs
 Priority: optional
-Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6
+Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6
+Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
 Description: Practical and portable Scheme system - runtime
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C. 
  It uses the ideas presented in Baker's paper "Cheney on the MTA", and 
@@ -41,7 +41,7 @@
 Section: libdevel
 Priority: optional
 Conflicts: chicken, chicken-dev
-Depends: libchicken7 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
+Depends: libchicken8 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
 Replaces: chicken, chicken-dev
 Description: Practical and portable Scheme system - development
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

MAKE:=$(MAKE) PLATFORM=linux
PREFIX=/usr
BINARYVERSION=8

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	$(MAKE) distclean
	rm -f c_defaults.h chicken_defaults.h lib*.so chicken.info-* feathers
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# The directories here have to be prefixed by $(CURDIR)/debian/tmp
# because that is the location where the binary package files are
# placed by dpkg-buildpackage. If absolute files are specified,
# i.e. /var/lib/chicken, then those files will be installed on the
# build system, but will not end up in the package.
	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS),-R"."' LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS),-R"."' LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS),-soname,libchicken.so.8' VARDIR="$(CURDIR)/debian/tmp/var/lib" install
#	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/8/*.so

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
# The asterisk in chicken.info* is necessary, because Debian makeinfo
# is very different from the standard makeinfo, and it is incredibly
# difficult to convince it to produce standalone Texinfo files. 
#	dh_installinfo chicken.info*
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp -Xfeathers
	dh_link
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif	
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -l debian/libchicken8/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## chicken 4.12.0

=== debian/changelog ===
chicken (4.12.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Add a watch file.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 17 Nov 2017 17:57:14 +0100

chicken (4.12.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Re-upload NMU from Tobias rejected by the archive software.
  * Remove useless debian/*.dirs files.
  * Bump debhelper compat level to 10.
  * debian/rules: rewrite using the dh sequencer.  Closes: #879640
    + Keep parallel disable due to the makefile not being parallel-safe.
    + This also enables build-time tests, which are never a bad things.
    + Remove injection of rpath, as it's not compliant to Debian Policy.
    + Fix linker flags passing to not assume LDFLAGS ends with -Wl.  Closes: #743065

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Nov 2017 22:47:09 +0100

chicken (4.12.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
      - fixes CVE-2016-6830, CVE-2016-6831 (Closes: #834845)
      - fixes CVE-2016-9954 (Closes: #851278)
  * Cherry pick upstream patches for. Patches are named after the CVE
      - CVE-2017-9334 (Closes: #863884)
      - CVE-2017-6949 (Closes: #858057)
      - CVE-2017-11343 (Closes: #870266)

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Oct 2017 23:04:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Davide Puricelli (evo) <evo@debian.org>
-Build-Depends: debhelper (>> 5.0.0), texinfo, chrpath
+Build-Depends: debhelper (>= 10), chrpath, texinfo, chicken-bin
 Standards-Version: 3.8.4.0
 
 Package: chicken-bin

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

export PLATFORM=linux
export PREFIX=/usr
export VARDIR=/var/lib
export DEBUGBUILD=1

%:
	dh $@ --no-parallel


override_dh_auto_clean:
	dh_auto_clean
	grep -l 'Generated from .*\.scm by the CHICKEN compiler' * | xargs rm -fv || /bin/true
	find . -name '*.so' -delete
	rm -rf tests/a.out tests/empty-file tests/fft1  tests/fft2 tests/find-files-test-dir/dir-link-target/bar \
		tests/find-files-test-dir/dir-link-target/foo \
		tests/find-files-test-dir/file1 tests/find-files-test-dir/file2 \
		tests/rev-app-2/libchicken.so.8 tests/rev-app-2/rev-app tests/tmp/xxx \
		tests/find-files-test-dir/dir-link-name feathers \
		tests/scrutiny-2.expected tests/scrutiny-2.out \
		tests/scrutiny.out tests/specialization.out test-repository/types.db \
		tests/test-repository/types.db \
		tests/dwindtst.out tests/ec.import.scm tests/m3.import.scm \
		tests/num.import.scm tests/r4rstest.log tests/reexport-m1.import.scm \
		tests/reexport-m3.import.scm tests/reexport-m4.import.scm \
		tests/reexport-m5.import.scm tests/reexport-m6.import.scm \
		tests/rev-app-2/reverser.setup-info tests/reverser/tags/1.0/reverser.import.scm \
		tests/reverser/tags/1.1/reverser.import.scm tests/square-functor.import.scm \
		tests/test-repository/reverser.setup-info tests/tmp.c tests/tmp1 tests/tmp2 \
		tests/tmp3

override_dh_auto_build:
	dh_auto_build -- PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/

override_dh_auto_install:
	dh_auto_install -- \
		LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS)' \
		LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS)' \
		LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS) -Wl,-soname,libchicken.so.8'
	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/8/*.so

override_dh_install:
	dh_install -Xfeathers

override_dh_makeshlibs:
	dh_makeshlibs -V

## chicken 4.13.0

=== debian/changelog ===
chicken (4.13.0-1) unstable; urgency=low

  * New upstream version.
  * Acknowledging previous NMUs, thanks!
  * Removing patches CVE-2017-9334, CVE-2017-6949 and CVE-2017-11343,
    now shipped upstream. 

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 03 Aug 2018 09:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Davide Puricelli (evo) <evo@debian.org>
-Build-Depends: debhelper (>= 10), chrpath, texinfo, chicken-bin
+Build-Depends: debhelper (>= 10), chrpath, texinfo
 Standards-Version: 3.8.4.0
 
 Package: chicken-bin

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	grep -l 'Generated from .*\.scm by the CHICKEN compiler' * | xargs rm -fv || /bin/true
 	find . -name '*.so' -delete
 	rm -rf tests/a.out tests/empty-file tests/fft1  tests/fft2 tests/find-files-test-dir/dir-link-target/bar \
 		tests/find-files-test-dir/dir-link-target/foo \

## chicken 5.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # See GNUmakefile for the actual makefile used by gmake
 
 all:
-	@echo "Sorry, Chicken can only be built with GNU Make."
+	@echo "Sorry, CHICKEN can only be built with GNU Make."
 	@echo ""
 	@echo "The '${MAKE}' command you just used is probably your system's"
 	@echo "default Make program, which apparently is not GNU Make."

=== debian/changelog ===
chicken (5.1.0-1) unstable; urgency=low

  * New upstream version; closes: #920675.
  * Now shipping libchicken11 instead of libchicken9.
  * Fixed debian/rules to make chicken cross buildable, closes: #915818.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 22 Jun 2019 11:41:17 +0200

chicken (5.0.0-1) unstable; urgency=low

  * New upstream version.
  * Now shipping libchicken9 instead of libchicken8.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 14 Jun 2019 10:39:27 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/architecture.mk
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

export PLATFORM=linux
export PREFIX=/usr
export VARDIR=/var/lib
export DEBUGBUILD=1

%:
	dh $@ --no-parallel


override_dh_auto_clean:
	dh_auto_clean
	find . -name '*.so' -delete
	rm -rf tests/a.out tests/empty-file tests/fft1  tests/fft2 tests/find-files-test-dir/dir-link-target/bar \
                tests/find-files-test-dir/dir-link-target/foo \
                tests/find-files-test-dir/file1 tests/find-files-test-dir/file2 \
                tests/rev-app-2/libchicken.so.11 tests/rev-app-2/rev-app tests/tmp/xxx \
                tests/find-files-test-dir/dir-link-name feathers \
                tests/scrutiny-2.out \
                tests/scrutiny.out tests/specialization.out test-repository/types.db \
                tests/test-repository/types.db \
                tests/dwindtst.out tests/ec.import.scm tests/m3.import.scm \
                tests/num.import.scm tests/r4rstest.log tests/reexport-m1.import.scm \
                tests/reexport-m3.import.scm tests/reexport-m4.import.scm \
                tests/reexport-m5.import.scm tests/reexport-m6.import.scm \
                tests/rev-app-2/reverser.setup-info tests/reverser/tags/1.0/reverser.import.scm \
                tests/reverser/tags/1.1/reverser.import.scm tests/square-functor.import.scm \
                tests/test-repository/reverser.setup-info tests/tmp.c tests/tmp1 tests/tmp2 \
                tests/tmp3 tests/TEST.profile tests/a.link tests/env.out tests/messages.out \
		tests/null.c tests/r4rstest.out tests/test-repository/reverser.import.scm \
		tests/test-repository/sample-module.import.scm tests/test-repository/sample-module.link \
		tests/tmp1.out tests/tmp2.out tests/tmp3.out tests/x.out tests/fft1.out tests/fft2.out \
		tests/null tests/null.o tests/test-repository/reverser.o tests/test-repository/sample-module.o \
		tests/redact-gensyms tests/scrutinizer-message-format.out tests/scrutinizer-message-format.redacted \
		tests/scrutiny-2.redacted tests/scrutiny.redacted tests/specialization.redacted 

override_dh_auto_build:
	dh_auto_build -- HOSTSYSTEM=$(DEB_HOST_GNU_TYPE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/

override_dh_auto_install:
	dh_auto_install -- \
		HOSTSYSTEM=$(DEB_HOST_GNU_TYPE) \
		LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS)' \
		LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS)' \
		LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS) -Wl,-soname,libchicken.so.11'
	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/11/*.so

override_dh_install:
	dh_install -Xfeathers

override_dh_makeshlibs:
	dh_makeshlibs -V

## chicken 5.2.0

=== debian/changelog ===
chicken (5.2.0-2) unstable; urgency=low

  * debian/rules: fixing PLATFORM variable to let chicken build on hurd,
    thanks Andrew Eggenberger.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 21 Oct 2020 17:32:57 +0200

chicken (5.2.0-1) unstable; urgency=high

  * New upstream version.
  * Fixed a build problem on armel architecture; closes: #946214.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 04 Mar 2020 11:59:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
-export PLATFORM=linux
+export PLATFORM=$(shell dpkg-architecture -q DEB_TARGET_ARCH_OS)
 export PREFIX=/usr
 export VARDIR=/var/lib
-export DEBUGBUILD=1
 
 %:
 	dh $@ --no-parallel
@@ -40,7 +39,8 @@
 		tests/tmp1.out tests/tmp2.out tests/tmp3.out tests/x.out tests/fft1.out tests/fft2.out \
 		tests/null tests/null.o tests/test-repository/reverser.o tests/test-repository/sample-module.o \
 		tests/redact-gensyms tests/scrutinizer-message-format.out tests/scrutinizer-message-format.redacted \
-		tests/scrutiny-2.redacted tests/scrutiny.redacted tests/specialization.redacted 
+		tests/scrutiny-2.redacted tests/scrutiny.redacted tests/specialization.redacted \
+		tests/inline-me.import.scm tests/inline-me.inline
 
 override_dh_auto_build:
 	dh_auto_build -- HOSTSYSTEM=$(DEB_HOST_GNU_TYPE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/

## chicken 5.3.0

=== debian/changelog ===
chicken (5.3.0-2) unstable; urgency=high

  * Acknowledging previous NMU, thanks!
  * debian/control: removed depends on libpcre3-dev, closes: #1071620
  * Removing obsolete debian/README.Debian file.
  * Fixed build on hppa arch, thanks John David Anglin; closes: #933574

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 21 Jun 2024 16:49:19 +0200

chicken (5.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062056

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:33:19 +0000

chicken (5.3.0-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 12 Oct 2022 00:48:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Davide Puricelli (evo) <evo@debian.org>
-Build-Depends: debhelper (>= 10), chrpath, texinfo
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), chrpath, texinfo
 Standards-Version: 3.8.4.0
 
 Package: chicken-bin
@@ -20,13 +20,15 @@
  This package contains the compiler.
  
 
-Package: libchicken8
+Package: libchicken11t64
+Provides: ${t64:Provides}
+Breaks: libchicken11 (<< ${source:Version})
 Architecture: any
 Section: libs
 Priority: optional
-Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
+Replaces: libchicken11, chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7, libchicken8, libchicken9
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
+Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7, libchicken8, libchicken9
 Description: Practical and portable Scheme system - runtime
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C. 
  It uses the ideas presented in Baker's paper "Cheney on the MTA", and 
@@ -41,7 +43,7 @@
 Section: libdevel
 Priority: optional
 Conflicts: chicken, chicken-dev
-Depends: libchicken8 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
+Depends: libchicken11t64 (= ${binary:Version}), ${misc:Depends}
 Replaces: chicken, chicken-dev
 Description: Practical and portable Scheme system - development
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C.

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,9 @@
 		tests/null tests/null.o tests/test-repository/reverser.o tests/test-repository/sample-module.o \
 		tests/redact-gensyms tests/scrutinizer-message-format.out tests/scrutinizer-message-format.redacted \
 		tests/scrutiny-2.redacted tests/scrutiny.redacted tests/specialization.redacted \
-		tests/inline-me.import.scm tests/inline-me.inline
+		tests/inline-me.import.scm tests/inline-me.inline tests/posix-tests.out \
+                tests/reexport-m7.import.scm tests/reexport-m8.import.scm tests/reexport-m9.import.scm \
+                tests/reexport-m10.import.scm tests/test-line-numbers.out
 
 override_dh_auto_build:
 	dh_auto_build -- HOSTSYSTEM=$(DEB_HOST_GNU_TYPE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/
